Charge with TokenAsk AIpost https://api.ravepay.co/flwv3-pug/getpaidx/api/tokenized/chargeThis endpoint allows you charge cards using a token .Body ParamsSECKEYstringrequiredThis is a unique key generated for each button created on Rave’s dashboard. It starts with a prefix FLWSECK and ends with suffix X.tokenstringrequiredThis is the embedtoken property returned from the call to verify the status of the transaction e.g. "card_tokens": [ { "embedtoken": "flw-t1nf-4877921998c0d784bbaf3949d23647a5-m03k", "shortcode": "6a50e", "expiry": "9999999999999"} ], "life_time_token": "flw-t1nf-4877921998c0d784bbaf3949d23647a5-m03k"emailstringrequiredThis is the email address of the customer. Note: This has to be the exact email address passed during the initial charge.currencystringrequiredDefaults to NGNThis is the specified currency to charge the card in.countrystringDefaults to NGamountstringrequiredThis is the amount to be chargedredirect_urlstringrequiredDefaults to http://example.com/confirmThis is a url you provide, we redirect to it after the customer completes payment.firstnamestringThis is the first name of the card holder or the customer.lastnamestringThis is the last name of the card holder or the customer.IPstringIP - Internet Protocol. This represents the IP address of where the transaction is being carried out.narrationstringThis is a custom description added by the merchant.txRefstringrequiredThis is the unique reference, unique to the particular transaction being carried out. It is generated by the merchant for every transactionmetastringpassed as "meta": [{"metaname": "flightID", "metavalue": "123949494DC"}] . These are extra set of parameters that can be passed to your pay button.device_fingerprintstringThis is the fingerpringt for the device being used. It can be generated using a library on whatever platform is being used.payment_planstringPass the Payment plan ID to initiate a recurring payment.subaccountsarrayThis is an array of objects containing the subaccount IDs to split the payment into.subaccountsHeadersContent-TypestringDefaults to application/jsonResponses 200200 400400Updated about 1 year ago